LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XJobManager Interface Referencepublished

Manage cancelable jobs. More...

`import"XJobManager.idl";`

Inheritance diagram for XJobManager:

## Public Member Functions
void | registerJob ([in] com::sun::star::util::XCancellable Job)
| registers a cancelable job. More...
void | releaseJob ([in] com::sun::star::util::XCancellable Job)
| deregisters a cancelable jobs. More...
void | cancelAllJobs ()
| cancel all registered jobs. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Manage cancelable jobs.

## Member Function Documentation

## ◆ cancelAllJobs()

void cancelAllJobs | ( |  | ) |

cancel all registered jobs.

## ◆ registerJob()

void registerJob | ( | [in] com::sun::star::util::XCancellable | Job | ) |

registers a cancelable job.

## ◆ releaseJob()

void releaseJob | ( | [in] com::sun::star::util::XCancellable | Job | ) |

deregisters a cancelable jobs.

The documentation for this interface was generated from the following file:

- com/sun/star/util/XJobManager.idl